Bug Tracker – Bug 122

Odamex Public Beta 1

Last modified: 2008-05-04 07:54:03 UTC
Bug 122 - Odamex Public Beta 1
Summary: Odamex Public Beta 1
Status: RESOLVED FIXED
Alias: None
Product: Odamex
Classification: Unclassified
Component: Server & Client (show other bugs)
Version: (old) 0.0.1
Hardware: All All
: P1 critical
Assignee: Denis Lukianov
URL:
Depends on: 167 3 17 18 32 39 47 50 56 58 70 72 75 82 93 94 97 103 109 113 115 116 121 126 130 132 138 142 144 145 147 149 164 169 171 172 222 256 365
Blocks:
  Show dependency tree
 
Reported: 2006-02-22 19:28 UTC by Mike Lightner
Modified: 2008-05-04 07:54 UTC (History)
2 users (show)

See Also:

Attachments

Add an attachment (proposed patch, testcase, etc.)

Note You need to log in before you can comment on or make changes to this bug.
Description Mike Lightner 2006-02-22 19:28:28 UTC
This bug is dependent upon all other bugs (reported at the time of this writing or not) required to be marked as resolved/closed to consider a "Release Candidate" version 1.  This does not have to be COMPLETE; the release candidate will be considered "tough enough" for a wide testing audience.  This version should contain most new features applied in some form and most if not all "standard (classic)" behavior restoration in place.  This release could contain normal or minor bug, but major/critical bugs should be taken care of (or extremely hard to get without significant testing).
Comment 1 Denis Lukianov 2006-02-22 19:56:45 UTC
Adding some obvious depends
Comment 2 Denis Lukianov 2006-02-22 20:04:18 UTC
[01:50] denis: heh, 122 release candidate
[01:50] denis: 1.22
[01:51] denis: cruel world, why must thee shower thy inhabitants with such coincidence
[01:51] denis: oh yea, sleep, that's why i'm talking funny
[01:55] Manc: rofl
[01:55] Manc: man that's great
Comment 3 Dean Joseph 2006-02-23 18:04:20 UTC
I'd say that this bug should also depend on bug 118 and to a lesser extent, bug 99.
Comment 4 Mike Lightner 2006-02-23 18:08:50 UTC
Launchers are not needed for RC1.
Comment 5 Dean Joseph 2006-02-23 18:45:12 UTC
I'm going to disagree. They can be used to (somewhat) stress test the master, to make sure it can handle a decent amount of requests at one time.

Also, Alex had requested some time ago to see how well his launcher can handle a large amount of servers. As far as I'm aware, it has not been tested yet.
Comment 6 Mike Lightner 2006-02-23 19:52:45 UTC
Added more bugs to the list based on the aims of this project. All previously listed items are included.
Comment 7 Mike Lightner 2006-02-23 19:54:41 UTC
RE: #5

Most launcher testing can be done internally as well.  It'd be easy to spawn big sets of servers on the machines we have access to.  While it would be nice, it's not a blocker.  It should certainly be available by RC2 I would say.
Comment 8 Alexander Mayfield 2006-02-24 00:57:47 UTC
(In reply to comment #5)
> I'm going to disagree. They can be used to (somewhat) stress test the master,
> to make sure it can handle a decent amount of requests at one time.
> 
> Also, Alex had requested some time ago to see how well his launcher can handle
> a large amount of servers. As far as I'm aware, it has not been tested yet.
> 

And it's not going to be.  Once I get the inkling back, I'm redoing JoLauncher from scratch.  The current version would probably break with numerous servers, because I was a moron and used static variables where I shouldn't be.
Comment 9 Dean Joseph 2006-02-25 22:32:29 UTC
Increased priority to 1, added bug 130 and bug 132 as dependancies. I considering adding bug 126, but I'll leave that to someone else.
Comment 10 Mike Lightner 2006-03-20 11:12:54 UTC
Added some more bugs added since #145
Comment 11 Ralph Vickers 2006-08-28 11:43:08 UTC
.58333% of RC1 Completed for reference
Comment 12 Alexander Mayfield 2006-09-19 23:27:14 UTC
As of release 1513, this is the status of the remining bugs:

THINGS WE CAN TEST: 18, 32, 72, 94, 109, 115, 132, 164, 167
Code-related, can't verify, probably important to programmers but we as testser can't really 'fix' per se: 47, 50, 126
Things we need to come to a concensus on a solution, unclear if fixed: 58, 103
Comment 13 Denis Lukianov 2008-05-04 07:54:03 UTC
odamex has been public for a while now

bugs dependencies open that are network related: 
bug 18, bug 32, bug 109, bug 167

bugs that will probably never actually close:
bug 58

other bugs on which things do not depend:
bug 103

marking this bug fixed and copying network bug dependencies to bug 424